customersUpdate Customer

Update Customer

Update a customer's editable fields; new verification material rides the same PATCH.

curl -X PATCH "https://sandbox.rasto.co/api/customers/example_string" \
  -H "Content-Type: application/json" \
  -H "Api-Key: example_string" \
  -H "Api-Version: example_string" \
  -H "Api-Key: YOUR_API_KEY" \
  -d '{
  "first_name": "John Doe",
  "last_name": "John Doe",
  "email": "user@example.com",
  "phone": "+1-555-0123",
  "date_of_birth": "2024-12-25",
  "nationality": "example_string",
  "residence_country": "USA",
  "incorporation_date": "2024-12-25",
  "id_document": {
    "kind": "passport",
    "number": "example_string"
  },
  "vat_number": "example_string",
  "website": "example_string",
  "address": {
    "street_line_1": "example_string",
    "street_line_2": "example_string",
    "postal_code": "example_string",
    "city": "New York",
    "country": "USA",
    "state": "example_string"
  },
  "economic_profile": {
    "occupation": "example_string",
    "source_of_funds": "example_string",
    "annual_income": "example_string",
    "monthly_turnover": "example_string",
    "monthly_transaction_count": "example_string",
    "activities": [
      "example_string"
    ],
    "is_public_official": true,
    "is_funds_owner": true,
    "is_us_citizen": true,
    "is_us_tax_person": true,
    "tin": "example_string",
    "tax_residence_country": "USA"
  },
  "identifying_information": [
    {
      "kind": "passport",
      "issuing_country": "USA",
      "number": "example_string",
      "image_front": "example_string",
      "image_back": "example_string"
    }
  ],
  "documents": [
    {
      "purpose": "selfie",
      "file": "example_string"
    }
  ],
  "endorsements": [
    "example_string"
  ],
  "tos_acceptance": {
    "ip_address": "123 Main St"
  }
}'
{}
PATCH
/api/customers/{customer_id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: Api-Key)
Api-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
header
Api-Versionstring

The /api contract to serve this request under, as an ISO date. Omit to use the default (2026-08-01), omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Api-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Headers

Api-Versionstring

The /api contract to serve this request under, as an ISO date. Omit to use the default (2026-08-01), omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.

Responses

Successful Response